#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2012
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# statusnet.py
#
# Création de la base de données mysql de statusnet
#
###########################################################################
"""
    Config pour statusnet
"""
from eolesql.db_test import db_exists, test_var

STATUSNET_TABLEFILENAMES = ['/usr/share/eole/mysql/statusnet/gen/statusnet-create-0.sql',
                       '/usr/share/eole/mysql/statusnet/gen/statusnet-create-1.sql',
                       '/usr/share/eole/mysql/statusnet/gen/statusnet-update-2.sql']
def test():
    """
        test l'existence de la base statusnet
    """
    return test_var('activer_statusnet') and not db_exists('statusnet')

conf_dict = dict(filenames=STATUSNET_TABLEFILENAMES,
                 test=test)
