<?php
addPlugin('EoleCasAuthentication', array(
    'provider_name' => 'Authentification EOLE-CAS',
    'authoritative'=>true,
    'autoregistration'=>true,
    'email_changeable'=>false,
%if %%is_defined('eolesso_adresse')
    'server' => '%%eolesso_adresse',
%else
    'server' => 'localhost',
%end if
%if %%is_defined('eolesso_port')
    'port'=>%%eolesso_port,
%else
    'port'=>8443,
%end if
    'takeOverLogin'=>true
));
addPlugin('LinkPreview');
if (!defined('STATUSNET') && !defined('LACONICA')) { exit(1); }

%if %%is_defined('libelle_etab')
$config['site']['name'] = '%%libelle_etab';
%else
$config['site']['name'] = 'Micro blogging avec StatusNet';
%end if


%if %%is_defined('web_url')
$config['site']['server'] = '%%web_url';
%else
$config['site']['server'] = 'localhost';
%end if
$config['site']['path'] = 'statusnet'; 

$db_password="eole_password";
%if %%is_defined('adresse_ip_mysql')
$config['db']['database'] = 'mysqli://statusnet:'.$db_password.'@%%adresse_ip_mysql/statusnet';
%else
$config['db']['database'] = 'mysqli://statusnet:'.$db_password.'@localhost/statusnet';
%end if

$config['db']['type'] = 'mysql';

$config['site']['profile'] = 'private';
$config['site']['theme'] = 'neo-blue';
$config['site']['fancy'] = true;
$config['site']['logdebug'] = false;
$config['site']['logfile'] = '/var/log/statusnet.log';
$config['site']['language'] = 'fr';
$config['invite']['enabled'] = false;
$config['sms']['enabled'] = false;
